<!DOCTYPE html>
<html>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<style>
    @page {
            size: landscape;
            @frame header_frame{
                -pdf-frame-content: headerContent;
                left: 5pt;
                top: 10pt;
                height: 100pt;
                }

            @frame content_frame {
                    left: 40pt; width: 760pt; top: 90pt; height: 460pt;
            }

            @frame footer {
                -pdf-frame-content: footerContent;
                bottom: 1cm;
                margin-left: 1cm;
                margin-right: 1cm;
                height: 0cm;
                }
    }
    .img-invoice {
        width: 100px;
        text-align: center;
        margin: 0 auto;
    }

    .head {
        text-align: center;
        text-transform: uppercase;
    }

    #invoice thead tr th {
        text-align: left;
        border-bottom: 1px solid black;
        border-top: 1px solid black;
        padding: 2px;
    }

    #invoice thead tr {
        margin-bottom: 0;
        padding-bottom: 0;
    }
    #invoice tbody td {
        border:1px solid black;
        padding: 3px;
    }

    #invoice tbody tr {
        padding: 0;
    }

    .text-center{
        text-align: center;
    }
</style>
<body>
    <div id="headerContent">
        <img src="{{ icon }}" class="img-invoice">
        <p class="head">
            {{ comp.name|upper }}<br>
            {{ comp.title|upper }}
        </p>
    </div>
    <div id="footerContent">
        Página: <pdf:pagenumber> de <pdf:pagecount>
    </div>
    <br>
    <table id="invoice" style="border:1px solid black;border-collapse:collapse;">
        <thead>
        <tr>
            <th>CODIGO</th>
            <th>PRODUCTO</th>
            <th>PROVEEDOR</th>
            <th>TIPO PRODUCTO</th>
            <th>FAMILIA PRODUCTO</th>
            <th>FECHA VENCIMIENTO</th>
            <th>STOCK</th>
            <th>STOCK CRÍTICO</th>
            <th>PRECIO COMPRA</th>
            <th>PRECIO VENTA</th>
        </tr>
        </thead>
        <tbody>
        {% for d in productos %}
            <tr style="padding-top: 3px;">
                <td>{{ d.codigo }}</td>
                <td>{{ d.descripcion}}</td>
                <td>{{ d.id_proveedor.nombre_proveedor }}</td>
                <td>{{ d.id_tipo_producto.tipo_producto}}</td>
                <td>{{ d.id_familia.familia}}</td>
                <td class="text-center">{{ d.fecha_vencimiento }}</td>
                <td class="text-center">{{ d.stock }}</td>
                <td class="text-center">{{ d.stock_critico }}</td>
                <td class="text-center">${{ d.precio_compra|floatformat:0 }}</td>
                <td class="text-center">${{ d.precio_venta|floatformat:0 }}</td>
            </tr>
        {% endfor %}
        <tr style="border-top: 1px solid black; padding-top: 4px;">
            <td colspan="8" width=70 style="border:1px solid black; padding: 3px;"><center>TOTAL</center></td>
            <td  width= 70 style="border:1px solid black; padding: 3px;"><center>${{total_precio_compra|floatformat:0}}</center></td>
            <td width= 70 style="border:1px solid black; padding: 3px;"><center>${{total_precio_venta|floatformat:0}}</center></td> 
        </tr>
        </tbody>
    </table>
    <br>
    <table style="border:1px solid black;border-collapse:collapse;">
        <tr>
            <th colspan="2" style="border:1px solid black; padding: 2px;">Resumen</th>   
        </tr>
        <tr>
        <td width= 55 style="border:1px solid black; padding: 3px;">Precio Venta</td>
            <td width= 40 style="border:1px solid black; padding: 3px;">${{total_precio_venta|floatformat:0}}</td>
        </tr>   

        <tr>
            <td width= 55 style="border:1px solid black; padding: 3px;">Precio Compra</td>
            <td width= 55 style="border:1px solid black; padding: 3px;">${{total_precio_compra|floatformat:0}}</td>
        </tr>
        <tr>
            <td width= 55 style="border:1px solid black; padding: 3px;">Ganancia</td>
            <td width= 55 style="border:1px solid black; padding: 3px;">${{ganancia|floatformat:0}}</td>
        </tr>       
    </table>
</body>
</html>